org.eclipse.viatra.transformation.debug.model.breakpoint

## Class ActivationBreakpointHandler

- java.lang.Object
- - org.eclipse.viatra.transformation.debug.model.breakpoint.ActivationBreakpointHandler

- All Implemented Interfaces:
    java.io.Serializable, ITransformationBreakpointHandler

      public class ActivationBreakpointHandler
      extends java.lang.Object
      implements ITransformationBreakpointHandler

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ActivationBreakpointHandler(ActivationTrace trace)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object item)`
    `ActivationTrace` | `getTrace()`
    `int` | `hashCode()`
    `boolean` | `isEnabled()`
    `void` | `setEnabled(boolean enabled)`
    `boolean` | `shouldBreak(Activation<?> a)` Checks if the given EVM rule activation matches the specified transformation breakpoint.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ActivationBreakpointHandler

          public ActivationBreakpointHandler(ActivationTrace trace)

  - ### Method Detail

    - #### getTrace

          public ActivationTrace getTrace()

    - #### shouldBreak

          public boolean shouldBreak(Activation<?> a)

      Checks if the given EVM rule activation matches the specified transformation breakpoint.
      Specified by:
        `shouldBreak` in interface `ITransformationBreakpointHandler`

    - #### equals

          public boolean equals(java.lang.Object item)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### setEnabled

          public void setEnabled(boolean enabled)

      Specified by:
        `setEnabled` in interface `ITransformationBreakpointHandler`

    - #### isEnabled

          public boolean isEnabled()

      Specified by:
        `isEnabled` in interface `ITransformationBreakpointHandler`